namespaces
Create a new namespace
Create a new namespace owned by the authenticated user or an organization. This endpoint is idempotent - if the namespace already exists and is owned by the user/org, returns success. Pass organizationId in the request body to create an org-owned namespace.
PUT
/
namespaces
/
{name}
JavaScript
import Smithery from '@smithery/api';
const client = new Smithery({
apiKey: process.env['SMITHERY_API_KEY'], // This is the default and can be omitted
});
const response = await client.namespaces.set('xxx');
console.log(response.createdAt);curl --request PUT \
--url https://api.smithery.ai/namespaces/{name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.smithery.ai/namespaces/{name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)
{
"name": "myorg",
"createdAt": "2024-01-01T00:00:00.000Z"
}{
"error": "Unauthorized"
}{
"error": "Unauthorized"
}{
"error": "Unauthorized"
}{
"error": "Unauthorized"
}Was this page helpful?
⌘I
JavaScript
import Smithery from '@smithery/api';
const client = new Smithery({
apiKey: process.env['SMITHERY_API_KEY'], // This is the default and can be omitted
});
const response = await client.namespaces.set('xxx');
console.log(response.createdAt);